#
Summary: Network device driver updates for Linux.
Name: netdriver
Version: 1.0
Release: 2
Copyright: GPL
Group: System/Drivers
Source: ftp://cesdis.gsfc.nasa.gov/pub/linux/drivers/2.0.34/netdrivers.tgz

# PCI driver source code.
#Source1: ftp://cesdis.gsfc.nasa.gov/pub/linux/drivers/3c59x.c
#Source2: ftp://cesdis.gsfc.nasa.gov/pub/linux/drivers/eepro100.c
#Source2: ftp://cesdis.gsfc.nasa.gov/pub/linux/drivers/epic100.c
#Source2: ftp://cesdis.gsfc.nasa.gov/pub/linux/drivers/ne2k-pci.c
#Source3: ftp://cesdis.gsfc.nasa.gov/pub/linux/drivers/rtl8139.c
#Source5: ftp://cesdis.gsfc.nasa.gov/pub/linux/drivers/tulip.c
#Source6: ftp://cesdis.gsfc.nasa.gov/pub/linux/drivers/yellowfin.c
# ISA driver source code.
#Source1: ftp://cesdis.gsfc.nasa.gov/pub/linux/drivers/3c509.c
#Source1: ftp://cesdis.gsfc.nasa.gov/pub/linux/drivers/3c515.c
#Source1: ftp://cesdis.gsfc.nasa.gov/pub/linux/drivers/at1700.c
#Source1: ftp://cesdis.gsfc.nasa.gov/pub/linux/drivers/lance.c
#Source1: ftp://cesdis.gsfc.nasa.gov/pub/linux/drivers/smc-ultra.c

URL:     http://cesdis.gsfc.nasa.gov/linux/drivers/index.html
Distribution: Beowulf
Vendor: CESDIS
Packager: CESDIS

Buildroot: /tmp

%description
Network device driver updates for all Linux kernel versions.
This package contains new, enhanced and fixed network device drivers.

%prep
%setup -c
# rm -rf $RPM_BUILD_DIR/drivers/net

%build
KERNVER=`uname -r`
[ -r /usr/include/linux/modversions.h ] &&  CCFLAGS=-DMODVERSIONS
[ -r /usr/src/linux/net/inet ] &&  CCFLAGS="$CCFLAGS -I/usr/src/linux/net/inet"

gcc $CCFLAGS -DMODULE -D__KERNEL__ -Wall -Wstrict-prototypes -O6 -c 3c59x.c
gcc $CCFLAGS -DMODULE -D__KERNEL__ -Wall -Wstrict-prototypes -O6 -c eepro100.c
gcc $CCFLAGS -DMODULE -D__KERNEL__ -Wall -Wstrict-prototypes -O6 -c epic100.c
gcc $CCFLAGS -DMODULE -D__KERNEL__ -Wall -Wstrict-prototypes -O6 -c ne2k-pci.c -I/usr/src/linux/drivers/net
gcc $CCFLAGS -DMODULE -D__KERNEL__ -Wall -Wstrict-prototypes -O6 -c rtl8139.c
gcc $CCFLAGS -DMODULE -D__KERNEL__ -Wall -Wstrict-prototypes -O6 -c tulip.c
gcc $CCFLAGS -DMODULE -D__KERNEL__ -Wall -Wstrict-prototypes -O6 -c yellowfin.c
gcc $CCFLAGS -DMODULE -D__KERNEL__ -Wall -Wstrict-prototypes -O6 -c 3c509.c
gcc $CCFLAGS -DMODULE -D__KERNEL__ -Wall -Wstrict-prototypes -O6 -c 3c515.c
gcc $CCFLAGS -DMODULE -D__KERNEL__ -Wall -Wstrict-prototypes -O6 -c at1700.c
gcc $CCFLAGS -DMODULE -D__KERNEL__ -Wall -Wstrict-prototypes -O6 -c lance.c
gcc $CCFLAGS -DMODULE -D__KERNEL__ -Wall -Wstrict-prototypes -O6 -c smc-ultra.c -I/usr/src/linux/drivers/net
echo 

%install
 
MODULES="3c59x.o eepro100.o epic100.o rtl8139.o tulip.o yellowfin.o 3c509.o 3c515.o at1700.o lance.o smc-ultra.o"

install -m 755 -d $RPM_BUILD_ROOT/lib/modules/`uname -r`/net
install -m 644 $MODULES $RPM_BUILD_ROOT/lib/modules/`uname -r`/net
(for MODULE in $MODULES; do
  echo /lib/modules/`uname -r`/net/$MODULE;
done) > netmodule-list

%files -f netmodule-list

# Local variables:
#  compile-command: "rpm -ba netdriver-1.0.spec"
# End:
